Review your favorite Linux distribution.
Go Back > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Debian This forum is for the discussion of Debian Linux.


  Search this Thread
Old 06-30-2005, 04:28 PM   #1
LQ Newbie
Registered: Feb 2005
Posts: 7

Rep: Reputation: 0
problem with kde upgrade

i use knoppix (installed on hd)and i wanna upgrade kdeto 4.3.1 so i edit this line in source.list file(under teat section)

deb ./

apt-get update
but when i type
apt-get install kdebase
apt-get install kdelibs
only the packages of kde 3.3.2 appears

Last edited by waelali; 07-01-2005 at 03:54 AM.
Old 06-30-2005, 07:29 PM   #2
Registered: Jun 2004
Location: New York
Distribution: Debian
Posts: 219

Rep: Reputation: 30
Sorry but I don't understand what you are saying.. .if you want kde 3.4 you need to add this lines in /etc/apt/sources.list:
deb ./
deb-src ./
then you do:
#apt-get update
#apt-get upgrade <--if you already have kde it will upgrade it otherwise you do:
#apt-get install kde OR apt-get install kde-core if you want just the core packages...
hope this helps,
Good luck!
Old 07-01-2005, 03:54 AM   #3
LQ Newbie
Registered: Feb 2005
Posts: 7

Original Poster
Rep: Reputation: 0
this exactly what i mean but there is alittle problem
i do not want 2 upgrade the whole system only kde
but if i type
apt-get upgrade
the whole system will be upgrated

Last edited by waelali; 07-01-2005 at 03:56 AM.
Old 07-01-2005, 10:38 AM   #4
LQ Newbie
Registered: Jul 2005
Location: Denver
Distribution: Debian testing/unstable
Posts: 17

Rep: Reputation: 0
Use a program such as aptitude or synaptic and just upgrade the pieces you want to update.


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
kde 3.5 konstruct upgrade problem chuck0 Linux - Software 1 12-07-2005 07:19 PM
Problem after KDE 3.4 upgrade iain.ross SUSE / openSUSE 1 04-09-2005 08:37 PM
Upgrade to KDE 3.3 dependencies problem. _UnPrEdictAbLe_ Fedora 7 09-28-2004 12:55 AM
kde upgrade problem bramba Linux - Software 0 04-22-2004 01:15 AM
KDE problem with upgrade 54\/4g3 Linux - Software 2 04-20-2004 12:26 PM

All times are GMT -5. The time now is 05:45 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration